// miniprogram/pages/detail/detail.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: {},
    name: "",
    id: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    wx.setNavigationBarTitle({
      title: decodeURIComponent(options.title) || "详情"
    })
    wx.showShareMenu({
      withShareTicket: true,
    });
    this.setData({
      detail: {
        type: options.type,
        content: app.globalData.origin[options.key] || ""
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: this.data.name,  // 分享名称
      path: 'pages/detail/detail?title=' + this.data.name + '&id=' + this.data.id,  // 点击分享后的链接要来到的页面的路径已经对应需要的参数
    }
  },

  format: function (res) {
    if (!res) return "";
    let num = (res || 0) - 0;
    let T = new Date(num);
    let year = T.getFullYear();
    let month = T.getMonth() + 1;
    let day = T.getDate();
    let hour = T.getHours();
    let min = T.getMinutes() + 1;
    let sec = T.getSeconds();

    return year + "-" + (month > 9 ? month : "0" + month) + "-" + day + " " + (hour > 9 ? hour : '0' + hour) + ":" + (min > 9 ? min : '0' + min) + ":" + (sec > 9 ? sec : '0' + sec);
  },
})